Subject: RE: cp -p
From: [email-masked] (John Cook)

5 Nov 1997 18:46:19 -0800
Message-ID: <c=US%a=_%p=KLA_Instruments_%l=[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 7bit
To: "[email-masked]'" <[email-masked]>

I find that 'cp -p' works correctly when copying to an NTFS file 
system but not when copying to a FAT filesystem.  Also, 'cp -p' 
within bash reported some errors until I created /etc/group and 
/etc/passwd (there was something in the mailing list archives 
about this).

I can't think of a reason 'cp -p' could not be made to work for 
all filesystems.  Anyone disagree?

--John

>----------
>From: 	[email-masked][SMTP:[email-masked]]
>Sent: 	Wednesday, November 05, 1997 1:35 AM
>To: 	[email-masked]
>Subject: 	cp -p
>
>I asked about cp -p some weeks ago and got no response. Can anyone
>confirm/deny
>that cp -p works?
>
>I have done 
>
>	cp -p fileA fileB
>	ln -ali a fileA fileB
>
>and find that fileB is a copy of fileA but the date/time is now rather than
>the date/time associated with fileA.
>
>I am running on NT 4.0 (service pack 3) and using the latest coolview. The
>discs
>are FAT.
>
>
>Any help much appreciated
>
>
>Kevin
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".
>
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".